## easy-format 1.0.0

=== Makefile ===
VERSION = 1.0.0
export VERSION

.PHONY: default all opt test doc soft-clean clean
default: all opt
all:
	ocamlc -c easy_format.mli
	ocamlc -c -dtypes easy_format.ml
	touch bytecode
opt:
	ocamlc -c easy_format.mli
	ocamlopt -c -dtypes easy_format.ml
	touch nativecode
test: all simple_example.out
	ocamlc -o test_easy_format -dtypes easy_format.cmo test_easy_format.ml
	./test_easy_format > test_easy_format.out
	ocamlc -o lambda_example -dtypes easy_format.cmo lambda_example.ml
	./lambda_example > lambda_example.out

simple_example: all simple_example.ml
	ocamlc -o simple_example -dtypes easy_format.cmo simple_example.ml
simple_example.out: simple_example
	./simple_example > simple_example.out

doc: ocamldoc/index.html easy_format_example.html
ocamldoc/index.html: easy_format.mli
	ocamldoc -d ocamldoc -html $<
easy_format_example.html: simple_example.out simple_example.ml
	cat simple_example.ml > easy_format_example.ml
	echo '(* Output: ' >> easy_format_example.ml
	cat simple_example.out >> easy_format_example.ml
	echo '*)' >> easy_format_example.ml
	ocamlc -c -dtypes easy_format_example.ml
	caml2html easy_format_example.ml -t -o easy_format_example.html

soft-clean:
	rm -f *.cm[iox] *.o *.annot \
		test_easy_format lambda_example simple_example \
		bytecode nativecode

clean: soft-clean
	rm -f *.out ocamldoc/* \
		easy_format_example.*
	cd examples; $(MAKE) clean


COMMON_INSTALL_FILES = META easy_format.cmi easy_format.mli
BC_INSTALL_FILES = easy_format.cmo 
NC_INSTALL_FILES = easy_format.cmx easy_format.o

install:
	echo "version = \"$(VERSION)\"" > META; cat META.tpl >> META
	INSTALL_FILES="$(COMMON_INSTALL_FILES)"; \
		if test -f bytecode; then \
		  INSTALL_FILES="$$INSTALL_FILES $(BC_INSTALL_FILES)"; \
		fi; \
		if test -f nativecode; then \
		  INSTALL_FILES="$$INSTALL_FILES $(NC_INSTALL_FILES)"; \
		fi; \
		ocamlfind install easy-format $$INSTALL_FILES

uninstall:
	ocamlfind remove easy-format

archive:
	@echo "Making archive for version $(VERSION)"
	$(MAKE) doc
	rm -rf /tmp/easy-format /tmp/easy-format-$(VERSION) && \
	 	cp -r . /tmp/easy-format && \
		cd /tmp/easy-format && \
			$(MAKE) clean && \
			rm -f *~ examples/*~ easy-format*.tar* && \
		cd /tmp && cp -r easy-format easy-format-$(VERSION) && \
		tar czf easy-format.tar.gz easy-format && \
		tar cjf easy-format.tar.bz2 easy-format && \
		tar czf easy-format-$(VERSION).tar.gz easy-format-$(VERSION) && \
		tar cjf easy-format-$(VERSION).tar.bz2 easy-format-$(VERSION)
	mv /tmp/easy-format.tar.gz /tmp/easy-format.tar.bz2 .
	mv /tmp/easy-format-$(VERSION).tar.gz /tmp/easy-format-$(VERSION).tar.bz2 .
	cp easy-format.tar.gz easy-format.tar.bz2 $$WWW/
	cp easy-format-$(VERSION).tar.gz easy-format-$(VERSION).tar.bz2 $$WWW/
	cp LICENSE $$WWW/easy-format-license.txt
	cp Changes $$WWW/easy-format-changes.txt
	cp easy_format_example.ml easy_format_example.html $$WWW/
	cp ocamldoc/* $$WWW/easy-format-doc/
	echo 'let easy_format_version = "$(VERSION)"' \
		> $$WWW/easy-format-version.ml

=== examples/Makefile ===
# $Id: Makefile 22 2008-07-13 14:41:19Z mjambon $
.PHONY: clean jsonpp
jsonpp:
	ocamlscript jsonpp.ml sample.json > sample.html
clean:
	rm -f *.exe sample.html

=== debian/changelog ===
easy-format (1.0.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:57:42 +0000

easy-format (1.0.0-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:33 -0600

easy-format (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #605680)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 22:22:54 +0100

=== debian/control ===
Source: easy-format
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  caml2html
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/easy-format.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/easy-format.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/easy-format.git

Package: libeasy-format-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: text generation with indentation made easy(ier) for OCaml
 This module offers a simplified interface to the Format module of the
 standard library. Input data must be converted into a tree using 3 kinds
 of nodes: atoms, lists and labelled nodes. Each node is bound to its own
 formatting parameters and a single function call produces the formatted
 output.

Package: libeasy-format-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: text generation with indentation made easy(ier) for OCaml
 This module offers a simplified interface to the Format module of the
 standard library. Input data must be converted into a tree using 3 kinds
 of nodes: atoms, lists and labelled nodes. Each node is bound to its own
 formatting parameters and a single function call produces the formatted
 output.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all
endif 
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	make install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

## easy-format 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.0
+VERSION = 1.0.1
 export VERSION
 
 .PHONY: default all opt test doc soft-clean clean

=== debian/changelog ===
easy-format (1.0.1-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file (thanks to Bart Martens)
  * unapply debian changes patch in master
  * add myself as uploader
  * bump debhelper compat level and standards version
  * adjust dependencies
  * remove debian-changes patch; create ocamldoc subdir in rules
  * update home page
  * update copyright file
  * add README.Debian with documentation hints
  * fix lintian Vcs-* warning

 -- Hendrik Tews <hendrik@askra.de>  Fri, 31 May 2013 22:16:56 +0200

=== debian/control ===
Source: easy-format
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  caml2html
Standards-Version: 3.9.4
Homepage: http://mjambon.com/easy-format.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/easy-format.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/easy-format.git

Package: libeasy-format-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: easy(ier) pretty printing for OCaml - development files
 This module offers a simplified interface to the Format module of the
 OCaml standard library. Input data must be converted into a tree
 using 3 kinds of nodes: atoms, lists and labelled nodes. Each node is
 bound to its own formatting parameters and a single function call
 produces the formatted output.
 .
 This package contains the development files for programming with the
 library.

Package: libeasy-format-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: easy(ier) pretty printing for OCaml - plugins
 This module offers a simplified interface to the Format module of the
 OCaml standard library. Input data must be converted into a tree
 using 3 kinds of nodes: atoms, lists and labelled nodes. Each node is
 bound to its own formatting parameters and a single function call
 produces the formatted output.
 .
 This package contains the shared runtime libraries.

## easy-format 1.0.2

=== Makefile ===
VERSION = 1.0.2
export VERSION

NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)

ifeq "${NATDYNLINK}" "YES"
CMXS=easy_format.cmxs
endif

.PHONY: default all opt test doc soft-clean clean
default: all opt
all:
	ocamlc -c easy_format.mli
	ocamlc -c -dtypes easy_format.ml
	touch bytecode

opt: easy_format.cmx $(CMXS)
	touch nativecode

easy_format.cmx:
	ocamlc -c easy_format.mli
	ocamlopt -c -dtypes easy_format.ml

easy_format.cmxs: easy_format.cmx
	ocamlopt -I . -shared -linkall -o easy_format.cmxs easy_format.cmx

test: all simple_example.out
	ocamlc -o test_easy_format -dtypes easy_format.cmo test_easy_format.ml
	./test_easy_format > test_easy_format.out
	ocamlc -o lambda_example -dtypes easy_format.cmo lambda_example.ml
	./lambda_example > lambda_example.out

simple_example: all simple_example.ml
	ocamlc -o simple_example -dtypes easy_format.cmo simple_example.ml
simple_example.out: simple_example
	./simple_example > simple_example.out

doc: ocamldoc/index.html easy_format_example.html
ocamldoc/index.html: easy_format.mli
	mkdir -p ocamldoc
	ocamldoc -d ocamldoc -html $<
easy_format_example.html: simple_example.out simple_example.ml
	cat simple_example.ml > easy_format_example.ml
	echo '(* Output: ' >> easy_format_example.ml
	cat simple_example.out >> easy_format_example.ml
	echo '*)' >> easy_format_example.ml
	ocamlc -c -dtypes easy_format_example.ml
	caml2html easy_format_example.ml -t -o easy_format_example.html

soft-clean:
	rm -f *.cm[iox] *.cmxs *.o *.annot \
		test_easy_format lambda_example simple_example \
		bytecode nativecode

clean: soft-clean
	rm -f *.out ocamldoc/* \
		easy_format_example.*
	cd examples; $(MAKE) clean


COMMON_INSTALL_FILES = META easy_format.cmi easy_format.mli
BC_INSTALL_FILES = easy_format.cmo
NC_INSTALL_FILES = easy_format.cmx easy_format.o $(CMXS)

install:
	echo "version = \"$(VERSION)\"" > META; cat META.tpl >> META
	INSTALL_FILES="$(COMMON_INSTALL_FILES)"; \
		if test -f bytecode; then \
		  INSTALL_FILES="$$INSTALL_FILES $(BC_INSTALL_FILES)"; \
		fi; \
		if test -f nativecode; then \
		  INSTALL_FILES="$$INSTALL_FILES $(NC_INSTALL_FILES)"; \
		fi; \
		ocamlfind install easy-format $$INSTALL_FILES

uninstall:
	ocamlfind remove easy-format

=== examples/Makefile ===
# $Id$
.PHONY: clean jsonpp
jsonpp:
	ocamlscript jsonpp.ml sample.json > sample.html
clean:
	rm -f *.exe sample.html

=== debian/changelog ===
easy-format (1.0.2-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:07:02 -0600

easy-format (1.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 10:07:34 +0100

=== debian/watch ===
version=3
http://mjambon.com/releases/easy-format/easy-format-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## easy-format 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-VERSION = 1.0.2
+VERSION = 1.2.0
 export VERSION
 
-NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+NATDYNLINK := $(shell if [ -f `ocamlfind ocamlc -where`/dynlink.cmxa ]; \
+                      then echo YES; else echo NO; fi)
 
 ifeq "${NATDYNLINK}" "YES"
 CMXS=easy_format.cmxs
@@ -10,41 +11,45 @@
 .PHONY: default all opt test doc soft-clean clean
 default: all opt
 all:
-	ocamlc -c easy_format.mli
-	ocamlc -c -dtypes easy_format.ml
+	ocamlfind ocamlc -c easy_format.mli
+	ocamlfind ocamlc -c -dtypes easy_format.ml
 	touch bytecode
 
 opt: easy_format.cmx $(CMXS)
 	touch nativecode
 
 easy_format.cmx:
-	ocamlc -c easy_format.mli
-	ocamlopt -c -dtypes easy_format.ml
+	ocamlfind ocamlc -c easy_format.mli
+	ocamlfind ocamlopt -c -dtypes easy_format.ml
 
 easy_format.cmxs: easy_format.cmx
-	ocamlopt -I . -shared -linkall -o easy_format.cmxs easy_format.cmx
+	ocamlfind ocamlopt -I . -shared -linkall \
+	  -o easy_format.cmxs easy_format.cmx
 
 test: all simple_example.out
-	ocamlc -o test_easy_format -dtypes easy_format.cmo test_easy_format.ml
+	ocamlfind ocamlc -o test_easy_format -dtypes \
+	  easy_format.cmo test_easy_format.ml
 	./test_easy_format > test_easy_format.out
-	ocamlc -o lambda_example -dtypes easy_format.cmo lambda_example.ml
+	ocamlfind ocamlc -o lambda_example -dtypes \
+	  easy_format.cmo lambda_example.ml
 	./lambda_example > lambda_example.out
 
 simple_example: all simple_example.ml
-	ocamlc -o simple_example -dtypes easy_format.cmo simple_example.ml
+	ocamlfind ocamlc -o simple_example -dtypes \
+	  easy_format.cmo simple_example.ml
 simple_example.out: simple_example
 	./simple_example > simple_example.out
 
 doc: ocamldoc/index.html easy_format_example.html
 ocamldoc/index.html: easy_format.mli
 	mkdir -p ocamldoc
-	ocamldoc -d ocamldoc -html $<
+	ocamlfind ocamldoc -d ocamldoc -html $<
 easy_format_example.html: simple_example.out simple_example.ml
 	cat simple_example.ml > easy_format_example.ml
 	echo '(* Output: ' >> easy_format_example.ml
 	cat simple_example.out >> easy_format_example.ml
 	echo '*)' >> easy_format_example.ml
-	ocamlc -c -dtypes easy_format_example.ml
+	ocamlfind ocamlc -c -dtypes easy_format_example.ml
 	caml2html easy_format_example.ml -t -o easy_format_example.html
 
 soft-clean:

=== debian/changelog ===
easy-format (1.2.0-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:43:27 +0200

easy-format (1.2.0-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 11:45:39 +0100

easy-format (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 16:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: easy-format
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -9,15 +10,15 @@
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
   caml2html
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/easy-format.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/easy-format.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/easy-format.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/easy-format.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/easy-format.git
 
 Package: libeasy-format-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -35,7 +36,7 @@
 Package: libeasy-format-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}

=== debian/watch ===
version=3
https://github.com/mjambon/easy-format/tags .*/v(.*)\.tar\.gz

## easy-format 1.3.2

=== debian/changelog ===
easy-format (1.3.2-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:31 +0100

easy-format (1.3.2-1build2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:08:26 +0100

easy-format (1.3.2-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:36 +0000

easy-format (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 08:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-findlib,
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
-  caml2html
-Standards-Version: 3.9.5
-Homepage: http://mjambon.com/easy-format.html
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/easy-format.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/easy-format.git
+ debhelper-compat (= 12),
+ ocaml-nox,
+ ocaml-dune,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/ocaml-community/easy-format
+Vcs-Git: https://salsa.debian.org/ocaml-team/easy-format.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/easy-format
 
 Package: libeasy-format-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p easy-format

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p easy-format
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/easy-format/LICENSE

override_dh_missing:
	dh_missing --fail-missing

## easy-format 1.3.4

=== Makefile ===
all:
	dune build @all

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

check: test

.PHONY: clean all check test install uninstall

clean:
	dune clean

=== debian/changelog ===
easy-format (1.3.4-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 20:38:00 +0100

easy-format (1.3.4-3build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:09:59 +0200

easy-format (1.3.4-3build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:50 +0200

easy-format (1.3.4-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:07:26 +0100

easy-format (1.3.4-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:14:42 +0200

easy-format (1.3.4-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041002)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:38:01 +0200

easy-format (1.3.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Bump debhelper from old 12 to 13
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 19:09:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox,
+ debhelper-compat (= 13),
+ ocaml,
  ocaml-dune,
- dh-ocaml
-Standards-Version: 4.5.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/easy-format
 Vcs-Git: https://salsa.debian.org/ocaml-team/easy-format.git

=== debian/watch ===
version=4
https://github.com/ocaml-community/easy-format/releases .*/archive/v?(.*)\.tar\.gz
